This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 21386 - /etc/rc.d/init.d/network doesn't consider FORWARD_IPV4
/etc/rc.d/init.d/network doesn't consider FORWARD_IPV4
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: initscripts (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-11-27 13:59 EST by Bruno Unna
Modified: 2014-03-16 22:17 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-11-27 14:20:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Bruno Unna 2000-11-27 13:59:18 EST
The file /etc/rc.d/init.d/network doesn't take into account the value of
the variable FORWARD_IPV4 when setting up the network. This is particularly
annoying after having set up ipchains to use the machine as a gateway in a
local network.

In order to solve the problem, what we did is:

a) make sure that the variable is set up, in /etc/sysconfig/network:
FORWARD_IPV4=true

b) modified /etc/rc.d/init.d/network to use the variable (as indicated in
this patch):
--- network.old	Mon Nov 27 12:23:55 2000
+++ network	Mon Nov 27 12:18:49 2000
@@ -77,6 +77,8 @@
 	   done
 	fi    
 
+	[ ${FORWARD_IPV4} = "true" ] && action "Enabling IPv4 packet forwarding:
" sysctl -w net.ipv4.ip_forward=1
+
         touch /var/lock/subsys/network
         ;;
   stop)


Or are we missing something?
Comment 1 Daniel Roesen 2000-11-27 14:20:21 EST
I think you are meant to change /etc/sysctl.conf:

# Disables packet forwarding
net.ipv4.ip_forward = 0

Set this to 1 to enable kernel IP packet forwarding. I think FORWARD_IPV4 in
/etc/sysconfig/network is deprecated.
Comment 2 Bill Nottingham 2000-11-27 14:28:17 EST
Yup. This was actually changed back in 6.2 - if you'll see the
release notes for 6.2, they should say that FORWARD_IPV4 is no
longer valid.

Note You need to log in before you can comment on or make changes to this bug.